Main Page Widgets Namespaces Book

# Gtk::TreeRow Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::TreeRow:

[legend]
List of all members.

## Detailed Description

Typedefed as TreeModel::Row.

Dereference a TreeModel::iterator to get the Row. You can use a const TreeModel::Row& for any parameter that takes a const TreeModel::iterator&.

## Public Member Functions

template <class ColumnType> TreeValueProxy<ColumnType> | operator[] (const TreeModelColumn<ColumnType>& column) const
template <class ColumnType> void | set_value (const TreeModelColumn<ColumnType>& column, const ColumnType& data) const
template <class ColumnType> void | set_value (int column, const ColumnType& data) const
| Use set_value(const TreeModelColumn<>& column, const ColumnType& data) unless you do not know the column type at compile-time.
template <class ColumnType> ColumnType | get_value (const TreeModelColumn<ColumnType>& column) const
template <class ColumnType> void | get_value (int column, ColumnType& data) const
const TreeNodeChildren& | children () const
TreeIter | parent () const
| operator bool () const
GtkTreeIter* | gobj ()
| Provides access to the underlying C instance.
const GtkTreeIter* | gobj () const
| Provides access to the underlying C instance.

## Member Function Documentation

const TreeNodeChildren& Gtk::TreeRow::children | ( |  | ) | const

template <class ColumnType>
void Gtk::TreeRow::get_value | ( | int | column,
|  | ColumnType& | data
| ) | const

template <class ColumnType>
ColumnType Gtk::TreeRow::get_value | ( | const TreeModelColumn<ColumnType>& | column | ) | const

const GtkTreeIter* Gtk::TreeRow::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C instance. Reimplemented from Gtk::TreeIterBase.

GtkTreeIter* Gtk::TreeRow::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C instance. Reimplemented from Gtk::TreeIterBase.

Gtk::TreeRow::operator bool | ( |  | ) | const

| Reimplemented from Gtk::TreeIter.

template <class ColumnType>
TreeValueProxy<ColumnType> Gtk::TreeRow::operator[] | ( | const TreeModelColumn<ColumnType>& | column | ) | const`[inline]`

TreeIter Gtk::TreeRow::parent | ( |  | ) | const

template <class ColumnType>
void Gtk::TreeRow::set_value | ( | int | column,
|  | const ColumnType& | data
| ) | const

| Use set_value(const TreeModelColumn<>& column, const ColumnType& data) unless you do not know the column type at compile-time.

template <class ColumnType>
void Gtk::TreeRow::set_value | ( | const TreeModelColumn<ColumnType>& | column,
|  | const ColumnType& | data
| ) | const

The documentation for this class was generated from the following file:

- treeiter.h